SUPERTUXKART(6)

NAME
supertuxkart — a fun racing game with go-karts

SYNOPSIS

supertuxkart [options] [<args>]

OPTIONS

This program accepts some optional parameters.

-N, --no-start-screen
    Immediately start race without showing a menu.

-R, --race-now
    Same as -N but also skip the ready-set-go phase and the music.

-t, --track=NAME
    Start track NAME.

--gp=NAME
    Start the specified Grand Prix.

--add-gp-dir=DIR
    Load Grand Prix files in DIR. Setting will be saved in config.xml under additional_gp_directory. Use "--add-gp-dir=" to unset.

--stk-config=FILE
    use ./data/FILE instead of ./data/stk_config.xml

-k, --numkarts=NUM
    Set number of karts on the race track.

--kart=NAME
    Use kart NAME.

--ai=a,b,...
    Use the karts a, b, ... for the AI, and additional player kart.

--aiNP=a,b,...
    Use the karts a,b, ... for the AI, no additional player kart.

--laps=N
    Define number of laps to N.

--mode=N
    N=0 Normal, N=1 Time trial, N=2 Battle, N=3 Soccer, N=4 Follow The Leader. In configure server use "--battle-mode=N" for battle server and "--soccer-timed" / goals for soccer server to control verbosely, see below.

--difficulty=N
    N=0 Beginner, N=1 Intermediate, N=2 Expert, N=3 SuperTux.

--battle-mode=N
    Specify battle mode in network, 0 is Free-For-All and 1 is Capture The Flag.

--soccer-timed
    Use time limit mode in network soccer game.

--soccer-goals
    Use goals limit mode in network soccer game.

--reverse
    Play track in reverse (if allowed)

-f, --fullscreen
    Use fullscreen display.

-w, --windowed
    Use windowed display (default).

-s, --screensize=WxH
    Set the display size (e.g. 320x200).

-v, --version
    Print version of SuperTuxKart.

--trackdir=DIR
    A directory from which additional tracks are loaded.

--seed=N
    Seed for random number generation to provide reproducible behavior.

--profile-laps=N
    Enable automatic driven profile mode for N laps.

--profile-time=N
    Enable automatic driven profile mode for N seconds.

--unlock-all
    Permanently unlock all karts and tracks for testing.

--no-unlock-all
    Disable unlock-all (i.e. base unlocking on player achievement).

--no-graphics
    Do not display the actual race.

--sp-shader-debug
    Enables debug in sp shader, it will print all unavailable uniforms.

--demo-mode=t
    Enables demo mode after t seconds of idle time in main menu.

--demo-tracks=t1,t2
    List of tracks to be used in demo mode. No spaces are allowed in the track names.

--demo-laps=N
    Number of laps to use in a demo.

--demo-karts=N
    Number of karts to use in a demo.

--server-config=file
    Specify the server_config.xml for server hosting, it will create one if not found.

--network-console
    Enable network console.

--wan-server=NAME
    Start a Wan server (not a playing client).

--public-server
    Allow direct connection to the server (without STK server)

--lan-server=NAME
    Start a LAN server (not a playing client).

--server-password=PASS
    Sets a password for a server (both client and server).

--connect-now=IP
    Connect to a server with IP known now (in format x.x.x.x:xxx(port)), the port should be its public port.

--connect-now6=IP
    Connect to a server with IPv6 known now (in format [x:x:x:x:x:x:x:x]:xxx(port)), the port should be its public port.

--server-id=N
    Server id in STK addons for "--connect-now".

--network-ai=N
    Numbers of AI for connecting to linear race server, used together with "--connect-now".

--login=S
    Automatically log in (set the login).

--password=S
    Automatically log in (set the password).

--init-user
    Save the above login and password (if set) in config.

--disable-polling
    Don't poll for logged in user.

--port=N
    Port number to use.

--auto-connect
    Automatically connect to first server and start race.

--max-players=N
    Maximum number of clients (server only).

--min-players=N
    Minimum number of clients for ownerless server (server only).

--motd
    Message showing in all lobby of clients, can specify a .txt file.

--auto-end
    Automatically end network game after 1st player finished for some time (currently his finished time * 0.25 + 15.0).

--no-auto-end
    Don't automatically end network game after 1st player finished.

--team-choosing
    Enable choosing team in lobby for team game.

--no-team-choosing
    Disable choosing team in lobby for team game.

--network-gp=N
    Specify number of tracks used in network grand prix.

--graphical-server
    Enable graphical view in server.

--no-validation
    Allow non validated and unencrypted connection in wan.

--ranked
    Server will submit ranking to STK addons server.

--no-ranked
    Server will not submit ranking to STK addons server. You require permission for that.

--owner-less
    Race will autostart and no one can kick players in server.

--no-owner-less
    Race will not autostart and server owner can kick players in server.

--firewalled-server
    Turn on all stun related code in server.

--no-firewalled-server
    Turn off all stun related code in server.

--connection-debug
    Print verbose info for sending or receiving packets.

--no-console-log
    Does not write messages in the console but to stdout.log.

-h, --help
    Show this help.

--log=N
    Set the verbosity to a value between 0 (Debug) and 5 (Only Fatal messages).

--logbuffer=N
    Buffers up to N lines log lines before writing.

--root=DIR
    Path to add to the list of STK root directories. You can specify more than one by separating them with colons (:).

--cutscene=NAME
    Launch the specified track as a cutscene. This is for internal debugging use only.

--enable-glow
    Enable glow effect.

--disable-glow
    Disable glow effect.

--enable-bloom
    Enable bloom effect.

--disable-bloom
    Disable bloom effect.

--enable-light-shaft
    Enable light shafts (God rays).

--disable-light-shaft
    Disable light shafts (God rays).

--enable-dof
    Enable depth of field.

--disable-dof
    Disable depth of field.

--enable-particles
    Enable particles.

--disable-particles
    Disable particles.

--enable-animated-characters
    Enable animated characters.

--disable-animated-characters
    Disable animated characters.

--enable-motion-blur
    Enable motion blur.

--disable-motion-blur
    Disable motion blur.

--enable-mlaa
    Enable anti-aliasing.

--disable-mlaa
    Disable anti-aliasing.

--enable-texture-compression
    Enable texture compression.

--disable-texture-compression
    Disable texture compression.

--enable-ssao
    Enable screen space ambient occlusion.

--disable-ssao
    Disable screen space ambient occlusion.

--enable-ibl
    Enable image based lighting.

--disable-ibl
    Disable image based lighting.

--enable-hd-textures
    Enable high definition textures.

--disable-hd-textures
    Disable high definition textures.

--enable-dynamic-lights
    Enable advanced pipeline.

--disable-dynamic-lights
    Disable advanced pipeline.

--anisotropic=N
    Anisotropic filtering quality (0 to disable). Takes precedence over trilinear or bilinear texture filtering.

--shadows=N
    Set resolution of shadows (0 to disable).

--apitrace
    This will disable buffer storage and writing gpu query strings to opengl, which can be seen later in apitrace.

AUTHOR

This manual page was based an earlier one written by Gonéri Le Bouder <goneri@rulezlan.org> (2006, GPLv2) for the GNU/Linux Debian Operating System, in addition to the official SuperTuxKart command-line options, Steve Baker <sjbaker1@airmail.net> (2004-2015, GPL v3), Joerg Henrichs, Marianne Gagnon (2011-2015, GPLv3). Edited by J. T-Katiska (2019, GPLv3).

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

NOTES

1.  STK homepage: https://supertuxkart.net/Main_Page

2.  The SuperTuxKart official FAQ: https://supertuxkart.net/FAQ

3.  Previous manual page: https://web.archive.org/save/https://manpages.debian.org/buster/supertuxkart/supertuxkart.6.en.html